Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.jdbc.oci.xa
Class XAConnection

    java.lang.Object
      |
      +--weblogic.jdbc.oci.Connection
            |
            +--weblogic.jdbc.oci.xa.XAConnection

public final class XAConnection
extends Connection
implements javax.sql.XAConnection

Each XA connection corresponds to a database connection. It has an OCI JDBC connection, to which it delegates JDBC API calls.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.jdbc.oci.Connection
`allowmixedmetadata, driver, insPieceLength, lobs, ociconn, PRIVATE_CLIB, PRIVATE_VERSION, selPieceLength, url`

Method Summary
`void` | `addConnectionEventListener(javax.sql.ConnectionEventListener listener)` Deprecated.
`void` | `close()` Deprecated.
`java.sql.Connection` | `getConnection()` Deprecated.
`javax.transaction.xa.XAResource` | `getXAResource()` Deprecated.
`void` | `removeConnectionEventListener(javax.sql.ConnectionEventListener listener)` Deprecated.

Methods inherited from class weblogic.jdbc.oci.Connection
`addLob, autocommitState, checkIfClosed, closeLob, connectionName, connectionState, datewidth, datewidth, driverType, getAllConnections, getDescription, getName, getNumberOfConnections, getNumberOfStatements, isCharsetDecoderEnabled, isolationLevel, lastSQL, prefetchSize, prepareStatement, prepareStatement, prepareStatement, prepareStatement, removeLob, resourcesQueuing, setLockArrayFetch, setLockBindCursorByPosition, setLockBindSelectItem, setLockBindVariableByPosition, setLockCancel, setLockClose, setLockDescribe, setLockExec, setLockExecAndFetch, setLockFetch, setLockOopt, setLockOpen, setLockParse, setOciVerbose, sharedLibVersion, statementCount, supportsPrefetch, waitOnResources, weblogicVersion`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getXAResource

    public javax.transaction.xa.XAResource getXAResource()
                                                  throws java.sql.SQLException

  Deprecated.
  Specified by:
    getXAResource in interface javax.sql.XAConnection

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

  Deprecated.

### close

    public void close()
               throws java.sql.SQLException

  Deprecated.

  Overrides:
    close in class Connection

### addConnectionEventListener

    public void addConnectionEventListener(javax.sql.ConnectionEventListener listener)

  Deprecated.

### removeConnectionEventListener

    public void removeConnectionEventListener(javax.sql.ConnectionEventListener listener)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD